| pktools 2.6.7 Processing Kernel for geospatial data

Public Member Functions | List of all members
qgis.pktoolsAlgorithm.pktoolsAlgorithm Class Reference
Inheritance diagram for qgis.pktoolsAlgorithm.pktoolsAlgorithm:
[legend]
Collaboration diagram for qgis.pktoolsAlgorithm.pktoolsAlgorithm:
[legend]

## Public Member Functions
def | getIcon (self)
def | checkBeforeOpeningParametersDialog (self)
def | help (self)

## Detailed Description

Definition at line 41 of file pktoolsAlgorithm.py.

## Member Function Documentation

## ◆ checkBeforeOpeningParametersDialog()

def qgis.pktoolsAlgorithm.pktoolsAlgorithm.checkBeforeOpeningParametersDialog | ( |  | self | ) |

Definition at line 47 of file pktoolsAlgorithm.py.

47 def checkBeforeOpeningParametersDialog(self):
48 path = pktoolsUtils.pktoolsPath()
49 if path == "":
50 return "pktools folder is not configured.\nPlease configure it before running pktools algorithms."
51

## ◆ getIcon()

def qgis.pktoolsAlgorithm.pktoolsAlgorithm.getIcon | ( |  | self | ) |

Definition at line 43 of file pktoolsAlgorithm.py.

43 def getIcon(self):
44 filepath = os.path.dirname(__file__) + "/logo.png"
45 return QtGui.QIcon(filepath)
46

## ◆ help()

def qgis.pktoolsAlgorithm.pktoolsAlgorithm.help | ( |  | self | ) |

Definition at line 52 of file pktoolsAlgorithm.py.

52 def help(self):
53
54 #utilityName=self.__class__.__name__
55 helpUrl = 'http://pktools.nongnu.org/html/{}.html'.format(self.cliName())
56 return False, helpUrl

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.NvCr9x/build_pktools/PKTOOLS-2.6.7.6/qgis/pktoolsAlgorithm.py